//WhiteChocolate.cs


datablock ItemData(WhiteChocolateItem)
{
	category = "Weapon";  // Mission editor category
	className = "Weapon"; // For inventory system

	 // Basic Item Properties
	shapeFile = "base/data/shapes/brickweapon.dts";
	rotate = false;
	mass = 1;
	density = 0.2;
	elasticity = 0.2;
	friction = 0.6;
	emap = true;

	//gui stuff
	uiName = "White Choco.";
	iconName = "./WhiteChocolate";
	doColorShift = false;

	 // Dynamic properties defined by the scripts
	image = WhiteChocolateImage;
	canDrop = true;
};

datablock ShapeBaseImageData(WhiteChocolateImage)
{
   // Basic Item properties
   shapeFile = "base/data/shapes/brickweapon.dts";
   emap = true;

   // Specify mount point & offset for 3rd person, and eye offset
   // for first person rendering.
   mountPoint = 0;
   offset = "0 0 0";
   eyeOffset = 0; //"0.7 1.2 -0.5";
   rotation = eulerToMatrix( "0 0 0" );

   className = "WeaponImage";
   item = WhiteChocolateItem;

   //raise your arm up or not
   armReady = false;

   doColorShift = true;
   colorShiftColor = "1.000 1.000 0.850 1.000";

   // Initial start up state
	stateName[0]                     = "Ready";
	stateTransitionOnTriggerDown[0]  = "Fire";
	stateAllowImageChange[0]         = true;

	stateName[1]                     = "Fire";
	stateTransitionOnTimeout[1]      = "Ready";
	stateAllowImageChange[1]         = true;
      stateScript[1]                   = "onFire";
	stateTimeoutValue[1]		   = 1;
};

function WhiteChocolateImage::onFire(%this,%obj,%slot)
{
	%currSlot = %obj.currTool;
	%obj.setDamageLevel(0);
	%obj.emote(LoveChocoImage,1);
	%obj.tool[%currSlot] = 0;
	%obj.weaponCount--;
	messageClient(%obj.client,'MsgItemPickup','',%currSlot,0);
	serverCmdUnUseTool(%obj.client);
}

package WhiteChocolatePackage
{
	function Armor::onCollision(%this, %obj, %col, %a, %b, %c, %d, %e, %f)
	{
		if(%col.dataBlock $= "WhiteChocolateItem" && %obj.getDamagePercent() < 100 && %col.canPickup)
		{
			if(!isObject(%col.spawnbrick) && !%col.nowPickup)	
			{
				if(isObject(%obj.client.minigame))
				{
					if(%obj.client.minigame $= %col.minigame)
					{
						if(%obj.getDamageLevel() >= 1)
						{
							%obj.setDamageLevel(0);
							%obj.emote(LoveChocoImage);
							%col.delete();
						}
						else
						{
							%col.nowPickup = 1;
						}
						return;
					}
				}
			}

			for(%i=0;%i<%this.maxTools;%i++)
			{
				%item = %obj.tool[%i];
				if(%item $= 0 || %item $= "")
				{
					%freeSlot = 1;
					break;
				}
			}

			if(%freeSlot)
			{
				%obj.pickup(%col);
				return;
			}
		}
		Parent::onCollision(%this, %obj, %col, %a, %b, %c, %d, %e, %f);
	}
};
activatePackage(WhiteChocolatePackage);

datablock DecalData(WhiteChocolateIcon)
{
   textureName = "Add-Ons/Item_Chocolate/WhiteChocolate";
};